  var arr = null;	// pole obsahujici html vkladanych elementu
  var types = null;
  var help = null;
  
  var cntHosts = 0;
  
$(document).ready(function(){
  
  $("#jsnotenabled").hide();

	// inicilizace pole s polozkama
	arr = new Array(8);
	arr['host'] = new Array(8);  // host - 8 volitelnych polozek
	arr['timeperiod'] = new Array(7);
	types = new Array(6);
	help = new Array(2);
	
	$("#definitionTypes>div").each(function(i){
		var div = this;
		var attrname = $(div).find('form').attr("name");
		types[attrname] = $(div).html();
		$(div).remove();
 	});
	
	/*  plneni pole - host  */
	$("#hostfields>div").each(function(i){
		var div = this;
		var attrname = $(div).find('input').attr("name");
		arr['host'][attrname] = $(div).html();
		$(div).remove();
 	});
 	
 	/*  plneni pole - timeperiods  */
	$("#timeperiodfields>div").each(function(i){
		var div = this;
		//alert($(div).html());
		var attrname = $(div).find('input').attr("name");
		arr['timeperiod'][attrname] = $(div).html();
		$(div).remove();
 	});
 	
 	
 	
 	
 	 	/*  plneni pole - HELP  */
	$("#helpContent>div").each(function(i){
	   itemName = $(this).attr("id");
		var div = this;
		//alert($(div).html());
		help[itemName] = $(div).html();
		$(div).remove();
 	});
 	
 	//alert(arr['timeperiod']['monday']);
	
	setOnChangeAction();
	setOnItemDeleteAction();
	
	//alert(arr['timeperiod']['monday']);
	
	
	//alert(arr['host']['notification_interval']);
	//$("#item1>form>fieldset").append(arr['host']['notification_interval']);
	
  });
  
$(window).scroll(function() {
    $("#mainmenu").css("top", $(window).scrollTop() + "px");
    $("#helpDialog").css("top", $(window).scrollTop() + "px");
});

function showHelp(name) {
  var helpHtml = "<h3>QUICK HELP</h3>" + help[name];
  $("#helpDialog").html(helpHtml);
  $("#helpDialog").fadeIn("slow");

}

function hideHelp() {
  $("#helpDialog").fadeOut("slow");
}
  
function addDefinition(defType) {
  $(".mergedCode").remove();
	$("#content").append('<div class="item"></div>');
	$("#content>div:last").append(types[defType]);
}

function deleteDefinition(el) {
  $(".mergedCode").remove();
  var divel = $(el).parent().parent().parent();
  $(divel).slideUp('slow');
  $(divel).remove();
}
  
function additem(field, type) {
  $(".mergedCode").remove();
	var itmnm = $(field).parent().find('select').val();
	//alert(type);
	$(field).parent().parent().append(arr[type][itmnm]);
	$(field).parent().parent().find(':input[name='+itmnm+']').change( function() { updateCode(this); } );
	//$('#'+field+'>option[value='+itmnm+']').remove();
	$(field).parent().parent().find('option[value='+itmnm+']').remove();
}

function updateCode(el) {
  $(".mergedCode").remove();
	var codeArea = $(el).parent().parent().parent().parent().find(".nagioscode textarea");
	var defName = $(el).parent().parent().parent().parent().find("form[name]").attr("name");
	
	var attrName = "";
	var attrValue = "";
	
	var defCode = "define " + defName +"{\n";
	$.each($(el).parent().parent().parent().find(".formitem"), function() {
		attrName = $(this).find(":input").attr("name");
		attrValue = $(this).find(":input").val();
		if(attrValue.length > 0) {
  		defCode = defCode + "  " + attrName + "\t";
      if(attrName.length < 14) defCode += "\t";
      if(attrName.length < 6) defCode += "\t";
      defCode = defCode + attrValue + "\n";
    }
		//alert(attrName + "\t" + attrValue); 
		//alert($(this).html());															
	});
	defCode += "}";
	codeArea.val(defCode);
	//alert(defCode);
}

function generateSingleFile() {
  $(".mergedCode").remove();
  var configText = "";
  

	$.each($("body").find(".nagioscode textarea"), function() {
		var el = $(this);
		var elval = $(this).val();
    configText = configText + elval + "\n\n"			
	});
	
	var newEl = '<div class="mergedCode"><div class="mergedCodeHeader">Merged definitions</div>\n<pre>\n';
	newEl += configText;
	newEl += "\n</pre>\n</div>";
	
	$("#content").append(newEl);
	
	//alert(defCode);
}

function setOnChangeAction() {
	$.each($(".item fieldset .formitem").find(":input"), function() {
		//alert($(this).val());
		$(this).change( function() { updateCode(this); } );
		//alert($(this).val());															
	});
}

// SMAZANI POLOZKY (RADKU) Z JEDNOTLIVE POLOZKY
function deleteItem(ael) {
	var divel = $(ael).parent();
	var itemName = $(divel).find(":input").attr("name");
	var itemLabel = $(divel).find("label").text();
	var newOptionHtml = "<option value=" + itemName + ">" + itemLabel + "</option>";
	var attrSelect = $(divel).parent().find("select");
	$(attrSelect).append(newOptionHtml);
	var fromLink = $(divel).find("a");
	$(divel).remove();
	updateCode(fromLink);
	
	//alert($(attrSelect).html());
}